<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author 		christian-rodriguez
@description  	página para consultar los avaluadores asociados a un sec radicado
@MB 			ConsultaAvaluadoresAsignadosMB
@CU				CU-SA-AC-128 - Consultar Avaluadores asignados
@version  		2.0

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="consultarAvaluadoresAsignadosPG"
             width="100%">

    <p:spacer height="5" />

    <p:fieldset>

        <h:panelGrid columns="2" cellspacing="7" width="100%">
            <h:outputLabel value="Sec. Radicado:" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{consultarAvaluadoresAsignados.secRadicado}">
            </h:outputText>
        </h:panelGrid>

        <p:spacer height="5" />

        <h:panelGrid columns="1" cellspacing="7" width="100%">
            <p:dataTable var="avaluador" paginatorPosition="bottom"
                         paginator="true" rows="10"
                         value="#{consultarAvaluadoresAsignados.avaluadores}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                         {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         emptyMessage="No hay avaluadores asociados al sec. radicado seleccionado.">

                <p:column headerText="Profesionales asignados">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.nombreCompleto}" />
                </p:column>

                <p:column headerText="Correo electrónico">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.correoElectronico}" />
                </p:column>

                <p:column headerText="Tipo contrato">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.tipoVinculacion}"
                                  id="ProfesionalAvaluosTipoVinculacionV-1">
                        <f:converter for="ProfesionalAvaluosTipoVinculacionV-1"
                                     converterId="converterCB" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Interventor contrato">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{avaluador.interventor.nombreCompleto}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="5" />

</h:panelGrid>